classification
Title: Broken link to Misc/NEWS in What's New page
Type: Stage: resolved
Components: Documentation Versions: Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Mariatta, docs@python
Priority: normal Keywords: easy, patch

Created on 2017-09-13 21:23 by Mariatta, last changed 2017-09-16 19:03 by Mariatta. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 3555 merged Mariatta, 2017-09-13 21:26
PR 3560 merged Mariatta, 2017-09-14 02:03
PR 3617 merged Mariatta, 2017-09-16 15:24
PR 3618 merged python-dev, 2017-09-16 17:43
Messages (6)
msg302117 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2017-09-13 21:23
In "What's new in Python" page: (https://docs.python.org/3.7/whatsnew/index.html)

The link to Misc/NEWS is 404.

The text is: 
The “Changelog” is a HTML version of the file Misc/NEWS which contains all nontrivial changes to Python for the current version.
msg302133 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2017-09-13 23:47
New changeset 1b8f612e1800b6e58472113f4abe8ee7c31f4db7 by Mariatta in branch 'master':
bpo-31458: Update Misc/NEWS link in What's New page (GH-3555)
https://github.com/python/cpython/commit/1b8f612e1800b6e58472113f4abe8ee7c31f4db7
msg302138 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2017-09-14 02:40
New changeset 905e4ef86e86dbf8f28b2f6e45af31a6eea84e10 by Mariatta in branch '3.6':
[3.6] bpo-31458: Update Misc/NEWS link in What's New page (GH-3555) (GH-3560)
https://github.com/python/cpython/commit/905e4ef86e86dbf8f28b2f6e45af31a6eea84e10
msg302221 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2017-09-14 22:44
Reopening since @merwok has some concern that Misc/NEWS.d is just a big directory with a lot of rst files.

reference https://github.com/python/cpython/pull/3555#pullrequestreview-62899457
msg302347 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2017-09-16 17:43
New changeset 0ec8c4bd10dcfd8e580628868efdd3df91038898 by Mariatta in branch 'master':
bpo-31458: Clarify that Changelog is built from Misc/NEWS.d directory (GH-3617)
https://github.com/python/cpython/commit/0ec8c4bd10dcfd8e580628868efdd3df91038898
msg302349 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2017-09-16 18:44
New changeset d3cba8175ca48d33a4e0117109a44935a1cec658 by Mariatta (Miss Islington (bot)) in branch '3.6':
bpo-31458: Clarify that Changelog is built from Misc/NEWS.d directory (GH-3617) (GH-3618)
https://github.com/python/cpython/commit/d3cba8175ca48d33a4e0117109a44935a1cec658
History
Date User Action Args
2017-09-16 19:03:08Mariattasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2017-09-16 18:44:30Mariattasetmessages: + msg302349
2017-09-16 17:43:43python-devsetpull_requests: + pull_request3609
2017-09-16 17:43:32Mariattasetmessages: + msg302347
2017-09-16 15:24:50Mariattasetstage: patch review
pull_requests: + pull_request3608
2017-09-14 22:44:14Mariattasetstatus: closed -> open
resolution: fixed -> (no value)
messages: + msg302221

stage: resolved -> (no value)
2017-09-14 02:40:52Mariattasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2017-09-14 02:40:34Mariattasetmessages: + msg302138
2017-09-14 02:03:39Mariattasetpull_requests: + pull_request3551
2017-09-13 23:47:35Mariattasetmessages: + msg302133
2017-09-13 21:26:05Mariattasetkeywords: + patch
stage: needs patch -> patch review
pull_requests: + pull_request3547
2017-09-13 21:23:23Mariattasetversions: + Python 3.6, Python 3.7
2017-09-13 21:23:00Mariattacreate